<template>
  <div class="container">
    <div class="row content">
      <div class="col-md 6 mb-3">
        <img
          src="../../assets/images/login.jpg"
          class="img-fluid"
          alt="image"
        />
      </div>
      <div class="col-md-6">
        <h3 class="signin-text mb-3">Register</h3>
        <form>
          <InputComponent
            name="username"
            text="Username"
            :value="username"
            @change="handleOnChange"
          />
          <InputComponent
            name="password"
            text="Password"
            type="password"
            :value="password"
            @change="handleOnChange"
          />
          <InputComponent
            name="confirmPassword"
            text="Confirm Password"
            type="password"
            :value="confirmPassword"
            @change="handleOnChange"
          />
          <div class="form-group form-check">
            <input
              type="checkbox"
              name="checkbox"
              class="form-check-input"
              id="checkbox"
              :checked="checked"
              @change="checkAgress"
            />
            <label class="form-check-label" for="checkbox">I Agress</label>
          </div>
          <button
            class="btn btn-class"
            :class="[{ 'btn-secondary': valid }]"
            @click="handleOnclick"
            :disabled="valid"
          >
            Register
          </button>
        </form>
      </div>
    </div>
  </div>
</template>
<script>
import InputComponent from "../common/input/Input";
import Logs from "../../mixins/logs";
export default {
  mixins: [Logs],
  name: "Register",
  data() {
    return {
      username: "",
      password: "",
      confirmPassword: "",
      disabled: true,
      checked: false,
    };
  },
  methods: {
    handleOnChange(e) {
      this.info("Registeromponent excute handleOnChange");
      const { name, value } = e.target;
      this.debug("name", name);
      this.debug("value", value);
      this[name] = value;
      if (
        this.username != "" &&
        this.password != "" &&
        this.confirmPassword != "" &&
        this.password == this.confirmPassword
      ) {
        this.disabled = false;
      } else {
        this.disabled = true;
      }
    },
    handleOnclick(e) {
      e.preventDefault();
      this.info("RegisterComponent excute handleOnclick");
    },
    checkAgress() {
      this.checked = !this.checked;
    },
  },
  computed: {
    valid() {
      if (!this.disabled && this.checked) {
         return false;
      } 
      return true
    }
  }
  ,
  components: { InputComponent },
};
</script>
<style>
</style>
